import 'dart:io';

import 'AndroidPermissionHandler.dart';
import 'IosPermissionHandler.dart';

class PermissionService {
  static Future<void> requestPermissions() async {
    if (Platform.isIOS) {
      // 调用iOS权限处理逻辑
      await IosPermissionHandler().requestCameraToMicrophonePermissions();
    } else if (Platform.isAndroid) {
      // 调用Android权限处理逻辑
      await AndroidPermissionHandler().requestCameraToMicrophonePermissions();
    }
  }
}